function plotCloudPhase(phaseImage,plotString)
% plots the cloud phase as obtained from MOD06 file
% Input: phase image data
%        string to plot on the figure
% Kevin Baggett
% Tue Feb 26 19:38:09 UTC 2002

imagesc(phaseImage);
cmap = [1 0 0 ; 1 1 1; 1 1 0; 0 1 1; 0 0 1; 1 0 1; 0 1 0; 0 0 0];
%cmap=[1 0 0; 0 0 1; 1 1 1; 0 1 1; 0 1 0; 0 0 0];
colormap(cmap); 
caxis([0 7]); 
%caxis([0 5]);
title(plotString);
c=colorbar; 
set(c,'Units','pixels');
%set(c,'YTick',[0.5 1.25 2.15 2.9 3.75 4.5]);
%set(c,'YTickLabel',{'Clear','Water','Ice','Mixed','Uncertain','Missing Data'});
set(c,'YTick',[0.5 1.25 2.25 3 4 4.75 5.75 6.5]);
set(c,'YTickLabel',{'Clear','Water','Ice','Mixed','Ice','Water','Uncertain','Missing Data'});
set(c,'TickLength',[0 0]);
set(gca,'XTick',[],'YTick',[]);
